;;; -*- Mode:LISP; Package:LAMBDA; Base:8 -*-


; function for the explorer SI board

(defvar si-quad-slot #xf5)

(defun print-si-config-prom ()
  (do ((adr (dpb si-quad-slot (byte 8 24.) #xffff84) (+ adr 4)))
      ((or (= (ldb (byte 24. 0) adr) #xfffffc)
	   (send terminal-io :tyi-no-hang)))
    (let ((c (char-int (logand 377 (bus-read adr)))))
      (if (and (>= c 32.) (< c 200))
	  (tyo c)
	(tyo #/.)))))